> ## Documentation Index
> Fetch the complete documentation index at: https://docs.penciled.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Make call

> Generates a new call

This endpoint generates a new call.

## Request

### Body Parameters

* **agent\_id** (string, required): The ID of the agent that will be making the call.
* **variables** (object, required): The variables required by the agent.


## OpenAPI

````yaml POST /v1/call
openapi: 3.0.1
info:
  title: Penciled API
  description: Penciled - Generative Voice AI Agents for Healthcare
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.penciled.com
security:
  - bearerAuth: []
paths:
  /v1/call:
    post:
      description: Generates a new call
      requestBody:
        description: Specify the details of the call
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                agent_id:
                  type: string
                  description: The ID of the agent that will be making the call
                variables:
                  type: object
                  additionalProperties:
                    type: string
                  description: The variables required by the agent
              required:
                - agent_id
                - variables
      responses:
        '200':
          description: Call ID
          content:
            application/json:
              schema:
                type: object
                properties:
                  call_id:
                    type: string
                    description: The ID of the call generated
                    example: call_id_12345
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````